> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-canton-docs-snippet-dedupe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/scan-proxy/amulet-rules



## OpenAPI

````yaml /openapi/splice/validator/scan-proxy.yaml get /v0/scan-proxy/amulet-rules
openapi: 3.0.0
info:
  title: Validator API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: validator
paths:
  /v0/scan-proxy/amulet-rules:
    get:
      tags:
        - scan-proxy
      summary: GET /v0/scan-proxy/amulet-rules
      operationId: getAmuletRules
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAmuletRulesProxyResponse'
components:
  schemas:
    GetAmuletRulesProxyResponse:
      type: object
      required:
        - amulet_rules
      properties:
        amulet_rules:
          $ref: '#/components/schemas/ContractWithState'
    ContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
      required:
        - contract
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````